fn main() {
    let mut list = vec![1, 2, 3];
    println!("Przed zdefiniowniem domknięcia: {:?}", list);

    let mut borrows_mutably = || list.push(7);

    borrows_mutably();
    println!("Po wywołaniu domknięcia: {:?}", list);
}
